Skip to content

# Interface: WebLinkStatus

Common.Catalog.WebLinkStatus

## Hierarchy

- CatalogEntityStatus

↳ WebLinkStatus

## Table of contents

### Properties

- active
- enabled
- message
- phase
- reason

## Properties

### active

• `Optional` active: `boolean`

#### Inherited from

CatalogEntityStatus.active

### enabled

• `Optional` enabled: `boolean`

`default` true

#### Inherited from

CatalogEntityStatus.enabled

### message

• `Optional` message: `string`

#### Inherited from

CatalogEntityStatus.message

### phase

• phase: `"available"` | `"unavailable"`

#### Overrides

CatalogEntityStatus.phase

### reason

• `Optional` reason: `string`

#### Inherited from

CatalogEntityStatus.reason